Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-02-17 Assigned To:
Updated: 2014-03-23 Due date:
TYPO3 Version: 6.2
PHP Version:
Sprint Focus:
Subject: Implement CSRF Protection for ajax.php
Description
There is currently no API to get an AjaxURL. Following solutions should be evaluated:
    1. Re-Use ExtDirect Token or a similar token in top window for all ajax.php calls
    2. Register token check (on/off) with ajax id registration and add API to generate URI to a single Ajax ID with vaild token

Backwards Compatibility also needs to be taken into account here, at least for third party extensions with own Ajax scripts

Subtasks:
Task # 56345: Add API to CSRF protect Ajax calls in Backend Resolved
Task # 56356: Protect core Ajax calls against CSRF Resolved
Task # 56404: Make sure M parameter is first in URL Resolved
Task # 57096: Cleanup Ajax URL JS settings Resolved
Task # 57196: Protect Ajax calls of core extensions Resolved

History
#1 - 2014-02-26 15:15 - Helmut Hummel
- Tracker changed from Story to Task
- Remaining (hours) set to 16.0

#2 - 2014-02-26 15:27 - Helmut Hummel
- Tracker changed from Task to Story

#3 - 2014-03-17 14:50 - Ingo Schmitt
- Status changed from New to Resolved
